<template>
  <v-container fluid>
    <v-row>
      <v-col cols="2">
        <v-card outlined :to="{ name: 'vacancy.list' }">
          <v-card-text class="text-center">
            <v-icon size="80">mdi-file-document</v-icon>
          </v-card-text>

          <v-card-title class="headline justify-center">
            Вакансии
          </v-card-title>
        </v-card>
      </v-col>
      <v-col cols="2">
        <v-card outlined :to="{ name: 'schedule.list' }">
          <v-card-text class="text-center">
            <v-icon size="80">mdi-face</v-icon>
          </v-card-text>
          <v-card-title class="headline justify-center">
            Резюме
          </v-card-title>
        </v-card>
      </v-col>
      <v-col cols="2">
        <v-card outlined :to="{ name: 'message.list' }">
          <v-card-text class="text-center">
            <v-icon size="80">mdi-android-messages</v-icon>
          </v-card-text>
          <v-card-title class="headline justify-center">
            Сообщения
          </v-card-title>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";

@Component
export default class Home extends Vue {
  mounted() {
    this.$router.push({
      name: "vacancy.list",
    });
  }
}
</script>
